CERT NetSA Security Suite
Monitoring for Large-Scale Networks

# fixbuf

Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
fbSubTemplateList_st Struct Reference

Structure used to hold information of a sub template list. More...

`#include <public.h>`

## Data Fields

union {
size_t length
uint64_t extra
} | dataLength
| length of the allocated buffer used to hold the data More...
const fbTemplate_t * | tmpl
| pointer to the template used to structure the data
uint8_t * | dataPtr
| pointer to the buffer used to hold the data
uint16_t | tmplID
| ID of the template used to structure the data.
uint16_t | numElements
| number of elements in the list
uint8_t | semantic
| value used to describe the contents of the list, all-of, one-of, etc

## Detailed Description

Structure used to hold information of a sub template list.

This structure is filled in by the user in an exporter to tell fixbuf how to encode the data. This structure is filled in by the transcoder in a collector, feeding the useful information up to the user

## Field Documentation

union { ... } fbSubTemplateList_st::dataLength

length of the allocated buffer used to hold the data

I made this a union to allow this to work on 64-bit archs

The documentation for this struct was generated from the following file:

- public.h